Subject: [AVT] FW: Gen-ART Telechat review of draft-ietf-avt-rtp-cnames-03.txt

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 4 Jan 2011 12:40:16 +0100

(As WG co-chair)

As part of the publication request process to become an RFC, i-ds go through a number of separate reviews. 

I'm forwarding this review to the list as correcting it has impact on the bits on the wire, and AVT may have some input on what change they would like to see.

If so, please express.

regards

Keith

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: Monday, January 03, 2011 3:27 AM
To: General Area Review Team; [email-masked]
Subject: Gen-ART Telechat review of draft-ietf-avt-rtp-cnames-03.txt

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft (for background on Gen-ART, please see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-ietf-avt-rtp-cnames-03.txt
Reviewer: Suresh Krishnan
Review Date: 2011/01/02
IESG Telechat date: 2011/01/06

Summary: This draft has addressed my comments from the previous Last Call review but has a new issue that needs to be fixed before publication as a Proposed Standard.

* Section 5 Step 2

This step describes the use of an EUI-64 identifier and how to generate one if it does not exists. The procedure for the creation of the EUI-64 from a 48 bit MAC address is incorrect.

RFC4291 describes how to create a **modified EUI-64** identifier (and not a EUI-64 identifier) from a MAC address.

A MAC address of xx:78:90:12:34:56 will be transformed to a modified
EUI-64 of

yy7890FFFE123456

where yy is the value of xx with the u/l bit (bit 6) flipped.

The IEEE reference for creation of an EUI-64 from a 48 bit MAC address

http://standards.ieee.org/develop/regauth/tut/eui64.pdf

would result in an EUI-64 of

xx7890FFFF123456 for the same MAC address.

I understand that there will be no interoperability issues due to this (since the cname is opaque) but there may be issues with testing compliance (since the expected hash values will be way off).

I recommend either using the term "modified EUI-64" instead of EUI-64 or changing the reference from RFC4291 to the IEEE document in order to fix this inconsistency.

Thanks
Suresh